width  =  80;
depth  =  80;
height = 120;

min_thickness =  0.5;
max_thickness =  3;

support_thickness =  2;
support_width     = 20;

translate([0, depth, 0])
rotate([90, 0, 0])
linear_extrude(depth)
polygon([
    [              0.0, 0.0],
    [            width, 0.0],
    [            width, max_thickness],
    [max_thickness * 3, max_thickness],
    [              0.0, min_thickness],
]);

translate([width - max_thickness, 0])
cube([max_thickness, depth, height]);

support(support_thickness);

module support(thickness) {
    alpha = atan(height / width);

    translate([0, thickness, 0])
    rotate([90, 0, 0])
    linear_extrude(thickness)
    polygon([
        [     width - max_thickness, height],
        [                       0.0, min_thickness],
        [support_width / sin(alpha), min_thickness],
        [     width - max_thickness, height - support_width / sin(90 - alpha)],
    ]);
}
